> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/clientserver-protocol/3-binary-protocol-prepared-statements/com_stmt_fetch.md).

# COM\_STMT\_FETCH

Fetch rows from a prepared statement.

A [COM\_STMT\_EXECUTE](/docs/server/reference/clientserver-protocol/3-binary-protocol-prepared-statements/com_stmt_execute.md) with a non-zero cursor flag must have been successfully executed before any `COM_STMT_FETCH` commands can be executed.

## Fields

* [int<1>](/docs/server/reference/clientserver-protocol/protocol-data-types.md) 0x1C COM\_STMT\_FETCH header.
* [int<4>](/docs/server/reference/clientserver-protocol/protocol-data-types.md) statement id.
* [int<4>](/docs/server/reference/clientserver-protocol/protocol-data-types.md) number of rows to fetch.

## Response

Returns one or more [binary result set rows](/docs/server/reference/clientserver-protocol/4-server-response-packets/resultset-row.md#binary-resultset-row) followed by an [EOF packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/eof_packet.md).

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mariadb.com/docs/server/reference/clientserver-protocol/3-binary-protocol-prepared-statements/com_stmt_fetch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
